autofs-5.1.5 - remove unused function reverse_mnt_list()

From: Ian Kent <raven@themaw.net>

This function is not used, remove it.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG        |    1 +
 include/mounts.h |    1 -
 lib/mounts.c     |   21 ---------------------
 3 files changed, 1 insertion(+), 22 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index bcb025d4..9fc4a0d1 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -19,6 +19,7 @@ xx/xx/2019 autofs-5.1.6
 - increase group buffer size geometrically.
 - also use strictexpire for offsets.
 - remove unused function has_fstab_option().
+- remove unused function reverse_mnt_list().
 
 30/10/2018 autofs-5.1.5
 - fix flag file permission.
diff --git a/include/mounts.h b/include/mounts.h
index 4914cde9..ec85ae94 100644
--- a/include/mounts.h
+++ b/include/mounts.h
@@ -100,7 +100,6 @@ int ext_mount_add(struct list_head *, const char *, unsigned int);
 int ext_mount_remove(struct list_head *, const char *);
 int ext_mount_inuse(const char *);
 struct mnt_list *get_mnt_list(const char *table, const char *path, int include);
-struct mnt_list *reverse_mnt_list(struct mnt_list *list);
 void free_mnt_list(struct mnt_list *list);
 int is_mounted(const char *table, const char *path, unsigned int type);
 void tree_free_mnt_tree(struct mnt_list *tree);
diff --git a/lib/mounts.c b/lib/mounts.c
index b1cbf39a..4bc7a4d2 100644
--- a/lib/mounts.c
+++ b/lib/mounts.c
@@ -894,27 +894,6 @@ struct mnt_list *get_mnt_list(const char *table, const char *path, int include)
 	return list;
 }
 
-/*
- * Reverse a list of mounts
- */
-struct mnt_list *reverse_mnt_list(struct mnt_list *list)
-{
-	struct mnt_list *next, *last;
-
-	if (!list)
-		return NULL;
-
-	next = list;
-	last = NULL;
-	while (next) {
-		struct mnt_list *this = next;
-		next = this->next;
-		this->next = last;
-		last = this;
-	}
-	return last;
-}
-
 void free_mnt_list(struct mnt_list *list)
 {
 	struct mnt_list *next;
